> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post visitorssearchvisitors

> Searches for Visitors, depending on the criteria values.  The returned Visitor View Results will
have a List of Visitor Views that's fulfilled the Start and Max rows of the criteria.

The requesting User must have one of the following right to perform this task:

This operation requires a Visitor View Criteria value.

This operation returns a **Visitor View Wrapper** with the following attributes:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /visitors/search/visitors
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /visitors/search/visitors:
    post:
      tags:
        - VisitorService
      description: >-
        Searches for Visitors, depending on the criteria values.  The returned
        Visitor View Results will

        have a List of Visitor Views that's fulfilled the Start and Max rows of
        the criteria.


        The requesting User must have one of the following right to perform this
        task:


        This operation requires a Visitor View Criteria value.


        This operation returns a **Visitor View Wrapper** with the following
        attributes:
      operationId: searchVisitors
      parameters: []
      requestBody:
        description: VisitorViewCriteria to use for searching.
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  phoneNumber: ...
                  sysidVisitTypes:
                    - 12345
                    - 12345
                  includeActionTypes:
                    - 12345
                    - 12345
                  scheduledDateRange:
                    startTime:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    endTime:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                  sortAscending: true
                  visitorEmail: ...
                  hostName: ...
                  visitorName: ...
                  sortColumn: VISIT_TYPE
                  sysidVenue: 12345
                  company: ...
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/VisitorViewCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    views:
                      - visitorLastName: ...
                        company: ...
                        hostLastName: ...
                        printVisitorBadge: true
                        sysidVisitType: 12345
                        hostFirstName: ...
                        sysidHost: 12345
                        aqScheduledDeparture:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidVisitor: 12345
                        venueName: ...
                        phoneNumber: ...
                        sysidArrival: 12345
                        emailAddress: ...
                        altHostLastName: ...
                        altHostFirstName: ...
                        visitorFirstName: ...
                        images:
                          - defaultImage: true
                            width: 12345
                            sysidVisitorImage: 12345
                            height: 12345
                            displayOrder: 12345
                            imageSource: ...
                            sysidVisitor: 12345
                            thumbnailSource: ...
                          - defaultImage: true
                            width: 12345
                            sysidVisitorImage: 12345
                            height: 12345
                            displayOrder: 12345
                            imageSource: ...
                            sysidVisitor: 12345
                            thumbnailSource: ...
                        aqScheduledArrival:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidAltHost: 12345
                        aqArrivalTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidVenue: 12345
                        sysidAction: 12345
                        aqDepartureTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                      - visitorLastName: ...
                        company: ...
                        hostLastName: ...
                        printVisitorBadge: true
                        sysidVisitType: 12345
                        hostFirstName: ...
                        sysidHost: 12345
                        aqScheduledDeparture:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidVisitor: 12345
                        venueName: ...
                        phoneNumber: ...
                        sysidArrival: 12345
                        emailAddress: ...
                        altHostLastName: ...
                        altHostFirstName: ...
                        visitorFirstName: ...
                        images:
                          - defaultImage: true
                            width: 12345
                            sysidVisitorImage: 12345
                            height: 12345
                            displayOrder: 12345
                            imageSource: ...
                            sysidVisitor: 12345
                            thumbnailSource: ...
                          - defaultImage: true
                            width: 12345
                            sysidVisitorImage: 12345
                            height: 12345
                            displayOrder: 12345
                            imageSource: ...
                            sysidVisitor: 12345
                            thumbnailSource: ...
                        aqScheduledArrival:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidAltHost: 12345
                        aqArrivalTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidVenue: 12345
                        sysidAction: 12345
                        aqDepartureTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                    hasAdditional: true
                    nextStartRow: 12345
              schema:
                $ref: '#/components/schemas/VisitorViewWrapper'
          description: |-
            Wrapper of VisitorView values.

            com.agilquest.phoenix.shared.data.rest.wrapper.VisitorViewWrapper
components:
  schemas:
    VisitorViewCriteria:
      type: object
      title: VisitorViewCriteria
      required:
        - sortAscending
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            phoneNumber:
              type: string
            sysidVisitTypes:
              type: array
              items:
                type: integer
            includeActionTypes:
              type: array
              items:
                type: integer
            scheduledDateRange:
              $ref: '#/components/schemas/DateRangeData'
            sortAscending:
              type: boolean
            visitorEmail:
              type: string
            hostName:
              type: string
            visitorName:
              type: string
            sortColumn:
              $ref: '#/components/schemas/VisitorViewSortColumns'
            sysidVenue:
              type: integer
              format: int32
            company:
              type: string
      example:
        phoneNumber: ...
        sysidVisitTypes:
          - 12345
          - 12345
        includeActionTypes:
          - 12345
          - 12345
        scheduledDateRange:
          startTime:
            discriminator: AqDate
            hour: 12345
            tzIdValue: ...
            year: 12345
            month: 12345
            dayOfMonth: 12345
            minute: 12345
            noEndDate: true
          endTime:
            discriminator: AqDate
            hour: 12345
            tzIdValue: ...
            year: 12345
            month: 12345
            dayOfMonth: 12345
            minute: 12345
            noEndDate: true
        sortAscending: true
        visitorEmail: ...
        hostName: ...
        visitorName: ...
        sortColumn: COMPANY
        sysidVenue: 12345
        company: ...
        startRow: 12345
        maxRows: 12345
    VisitorViewWrapper:
      type: object
      title: VisitorViewWrapper
      required:
        - hasAdditional
        - nextStartRow
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            views:
              type: array
              items:
                $ref: '#/components/schemas/VisitorView'
            hasAdditional:
              type: boolean
            nextStartRow:
              type: integer
              format: int32
      example:
        views:
          - visitorLastName: ...
            company: ...
            hostLastName: ...
            printVisitorBadge: true
            sysidVisitType: 12345
            hostFirstName: ...
            sysidHost: 12345
            aqScheduledDeparture:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidVisitor: 12345
            venueName: ...
            phoneNumber: ...
            sysidArrival: 12345
            emailAddress: ...
            altHostLastName: ...
            altHostFirstName: ...
            visitorFirstName: ...
            images:
              - defaultImage: true
                width: 12345
                sysidVisitorImage: 12345
                height: 12345
                displayOrder: 12345
                imageSource: ...
                sysidVisitor: 12345
                thumbnailSource: ...
              - defaultImage: true
                width: 12345
                sysidVisitorImage: 12345
                height: 12345
                displayOrder: 12345
                imageSource: ...
                sysidVisitor: 12345
                thumbnailSource: ...
            aqScheduledArrival:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAltHost: 12345
            aqArrivalTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidVenue: 12345
            sysidAction: 12345
            aqDepartureTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
          - visitorLastName: ...
            company: ...
            hostLastName: ...
            printVisitorBadge: true
            sysidVisitType: 12345
            hostFirstName: ...
            sysidHost: 12345
            aqScheduledDeparture:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidVisitor: 12345
            venueName: ...
            phoneNumber: ...
            sysidArrival: 12345
            emailAddress: ...
            altHostLastName: ...
            altHostFirstName: ...
            visitorFirstName: ...
            images:
              - defaultImage: true
                width: 12345
                sysidVisitorImage: 12345
                height: 12345
                displayOrder: 12345
                imageSource: ...
                sysidVisitor: 12345
                thumbnailSource: ...
              - defaultImage: true
                width: 12345
                sysidVisitorImage: 12345
                height: 12345
                displayOrder: 12345
                imageSource: ...
                sysidVisitor: 12345
                thumbnailSource: ...
            aqScheduledArrival:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAltHost: 12345
            aqArrivalTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidVenue: 12345
            sysidAction: 12345
            aqDepartureTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
        hasAdditional: true
        nextStartRow: 12345
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    DateRangeData:
      type: object
      title: DateRangeData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startTime:
              $ref: '#/components/schemas/AqDate'
            endTime:
              $ref: '#/components/schemas/AqDate'
      example:
        startTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        endTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
    VisitorViewSortColumns:
      type: string
      title: VisitorViewSortColumns
      enum:
        - STATUS
        - VISITOR_NAME
        - HOST_NAME
        - COMPANY
        - VISIT_TYPE
        - PHONE_NUMBER
        - SCHEDULED_ARRIVAL
        - SCHEDULED_DEPARTURE
        - ACTUAL_ARRIVAL
        - ACTUAL_DEPARTURE
    DependentData:
      type: object
      title: DependentData
      example: {}
    VisitorView:
      type: object
      title: VisitorView
      required:
        - printVisitorBadge
        - sysidVisitor
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            visitorLastName:
              type: string
            company:
              type: string
            hostLastName:
              type: string
            printVisitorBadge:
              type: boolean
            sysidVisitType:
              type: integer
              format: int32
            hostFirstName:
              type: string
            sysidHost:
              type: integer
              format: int32
            aqScheduledDeparture:
              $ref: '#/components/schemas/AqDate'
            sysidVisitor:
              type: integer
              format: int32
            venueName:
              type: string
            phoneNumber:
              type: string
            sysidArrival:
              type: integer
              format: int32
            emailAddress:
              type: string
            altHostLastName:
              type: string
            altHostFirstName:
              type: string
            visitorFirstName:
              type: string
            images:
              type: array
              items:
                $ref: '#/components/schemas/VisitorImageData'
            aqScheduledArrival:
              $ref: '#/components/schemas/AqDate'
            sysidAltHost:
              type: integer
              format: int32
            aqArrivalTime:
              $ref: '#/components/schemas/AqDate'
            sysidVenue:
              type: integer
              format: int32
            sysidAction:
              type: integer
              format: int32
            aqDepartureTime:
              $ref: '#/components/schemas/AqDate'
      example:
        visitorLastName: ...
        company: ...
        hostLastName: ...
        printVisitorBadge: true
        sysidVisitType: 12345
        hostFirstName: ...
        sysidHost: 12345
        aqScheduledDeparture:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidVisitor: 12345
        venueName: ...
        phoneNumber: ...
        sysidArrival: 12345
        emailAddress: ...
        altHostLastName: ...
        altHostFirstName: ...
        visitorFirstName: ...
        images:
          - defaultImage: true
            width: 12345
            sysidVisitorImage: 12345
            height: 12345
            displayOrder: 12345
            imageSource: ...
            sysidVisitor: 12345
            thumbnailSource: ...
          - defaultImage: true
            width: 12345
            sysidVisitorImage: 12345
            height: 12345
            displayOrder: 12345
            imageSource: ...
            sysidVisitor: 12345
            thumbnailSource: ...
        aqScheduledArrival:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidAltHost: 12345
        aqArrivalTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidVenue: 12345
        sysidAction: 12345
        aqDepartureTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}
    VisitorImageData:
      type: object
      title: VisitorImageData
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            defaultImage:
              type: boolean
            width:
              type: integer
              format: int32
            sysidVisitorImage:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            displayOrder:
              type: integer
              format: int32
            imageSource:
              type: string
            sysidVisitor:
              type: integer
              format: int32
            thumbnailSource:
              type: string
      example:
        defaultImage: true
        width: 12345
        sysidVisitorImage: 12345
        height: 12345
        displayOrder: 12345
        imageSource: ...
        sysidVisitor: 12345
        thumbnailSource: ...

````